Add a publisher domain
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/publishers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/publishers"
payload = { "domain": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>'})
};
fetch('https://api.interchange.io/api/v2/storefront/publishers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"publishers": [
{
"domain": "<string>",
"provenance": "declared",
"adagentsStatus": "resolved",
"authorizationStatus": "authorized",
"authorizationReason": "no_file",
"propertyCount": 4503599627370495,
"lastSyncedAt": "<string>"
}
],
"total": 4503599627370495,
"verified": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Add a publisher domain
Declare one publisher domain. Accepts bare domains (bbc.com) or full URLs (https://www.bbc.com/news) and normalizes them automatically.
POST
/
publishers
Add a publisher domain
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/publishers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/publishers"
payload = { "domain": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: '<string>'})
};
fetch('https://api.interchange.io/api/v2/storefront/publishers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"publishers": [
{
"domain": "<string>",
"provenance": "declared",
"adagentsStatus": "resolved",
"authorizationStatus": "authorized",
"authorizationReason": "no_file",
"propertyCount": 4503599627370495,
"lastSyncedAt": "<string>"
}
],
"total": 4503599627370495,
"verified": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Body
application/json
Minimum string length:
1